<?php

namespace Drupal\migrate_default_content_export;

use Drupal\Core\Entity\ContentEntityInterface;

/**
 * Defines an interface for entity filters.
 */
interface ExportEntityFilterInterface {

  /**
   * Filters an entity.
   *
   * @param \Drupal\Core\Entity\ContentEntityInterface $entity
   *   The entity to filter.
   *
   * @return bool
   *   TRUE if the entity should be exported, FALSE otherwise.
   */
  public function filter(ContentEntityInterface $entity): bool;

}
