<?php

namespace Drupal\migrate_default_content_export\FieldProcessor;

use Drupal\Core\Entity\ContentEntityInterface;
use Drupal\Core\Field\FieldDefinitionInterface;
use Drupal\migrate_default_content_export\FieldProcessorBase;

/**
 * A layout section field processor.
 */
class LayoutSectionFieldProcessor extends FieldProcessorBase {

  /**
   * {@inheritdoc}
   */
  public function isApplicable(ContentEntityInterface $entity, string $field_name, FieldDefinitionInterface $field_definition): bool {
    return $field_definition->getType() === 'layout_section';
  }

  /**
   * {@inheritdoc}
   */
  public function getValue(ContentEntityInterface $entity, string $field_name, FieldDefinitionInterface $field_definition): mixed {
    $value = $entity->get($field_name)->getValue();
    return self::process($value, $field_definition);
  }

  /**
   * {@inheritdoc}
   */
  public function process($value, FieldDefinitionInterface $field_definition): mixed {
    if (empty($value)) {
      return NULL;
    }

    $sections = array_map(function ($section) {
      return $section['section']->toArray();
    }, $value);

    return $sections;
  }

}
