<?php

namespace Drupal\migrate_default_content_export\FieldProcessor;

use Drupal\Core\Entity\ContentEntityInterface;
use Drupal\Core\Field\FieldDefinitionInterface;
use Drupal\migrate_default_content_export\FieldProcessorBase;

/**
 * An email field processor.
 */
class UserEmailFieldProcessor extends FieldProcessorBase {

  /**
   * {@inheritdoc}
   */
  public function isApplicable(ContentEntityInterface $entity, string $field_name, FieldDefinitionInterface $field_definition): bool {
    // Email fields attached to users are applicable.
    $is_user = $entity->getEntityTypeId() === 'user';
    $is_email = $field_definition->getType() === 'email';

    return $is_user && $is_email;
  }

  /**
   * {@inheritdoc}
   */
  public function getValue(ContentEntityInterface $entity, string $field_name, FieldDefinitionInterface $field_definition): mixed {
    // Real email addresses should not be exported.
    $uuid = $entity->uuid();

    return 'user-' . $uuid . '@example.com';
  }

}
