<?php

namespace Drupal\migrate_default_content_export\Form;

use Drupal\Core\Form\ConfigFormBase;
use Drupal\Core\Form\FormStateInterface;

/**
 * Configure Migrate Default Content settings for this site.
 *
 * @todo Get rid of this and just merge it into the MDC settings form.
 */
class SettingsForm extends ConfigFormBase {

  /**
   * {@inheritdoc}
   */
  public function getFormId() {
    return 'migrate_default_content_export_settings';
  }

  /**
   * {@inheritdoc}
   */
  protected function getEditableConfigNames() {
    return ['migrate_default_content_export.settings'];
  }

  /**
   * {@inheritdoc}
   */
  public function buildForm(array $form, FormStateInterface $form_state) {
    $form['export_dir'] = [
      '#type' => 'textfield',
      '#title' => $this->t('Exported content destination directory'),
      '#description' => $this->t('The directory where the default content is exported to. This is relative to the migrate default content directory.'),
      '#default_value' => $this->config('migrate_default_content_export.settings')->get('export_dir'),
    ];
    return parent::buildForm($form, $form_state);
  }

  /**
   * {@inheritdoc}
   */
  public function submitForm(array &$form, FormStateInterface $form_state) {
    $this->config('migrate_default_content_export.settings')
      ->set('export_dir', $form_state->getValue('export_dir'))
      ->save();
    parent::submitForm($form, $form_state);
  }

}
